Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text.rules
Interface IPartitionTokenScanner

All Superinterfaces:
  ITokenScanner

All Known Implementing Classes:
  RuleBasedPartitionScanner

public interface IPartitionTokenScanner
extends ITokenScanner

A partition token scanner returns tokens that represent partitions. For that reason, a partition token scanner is vulnerable in respect to the document offset it starts scanning. In a simple case, a partition token scanner must always start at a partition boundary. A partition token scanner can also start in the middle of a partition, if it knows the type of the partition.

Since:
  2.0

Method Summary
`void` | `setPartialRange(IDocument document, int offset, int length, String contentType, int partitionOffset)` Configures the scanner by providing access to the document range that should be scanned.

Methods inherited from interface org.eclipse.jface.text.rules.ITokenScanner
`getTokenLength, getTokenOffset, nextToken, setRange`

Method Detail

### setPartialRange

    public void setPartialRange(IDocument document,
                                int offset,
                                int length,
                                String contentType,
                                int partitionOffset)

  Configures the scanner by providing access to the document range that should be scanned. The range may no only contain complete partitions but starts at the beginning of a line in the middle of a partition of the given content type. This requires that a partition delimiter can not contain a line delimiter.

  Parameters:
    `document` - the document to scan
    `offset` - the offset of the document range to scan
    `length` - the length of the document range to scan
    `contentType` - the content type at the given offset
    `partitionOffset` - the offset at which the partition of the given offset starts

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.